cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'{
"config": {
"tableId": "<string>",
"fields": {},
"baseId": "<string>",
"loopKey": {
"fact": "<string>",
"path": "<string>",
"keyStack": [
"<string>"
],
"params": {
"pipes": []
}
},
"_fieldsOrder": [
"<string>"
]
},
"id": "<string>",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}automation
Post base workflow action
Create a automation workflow action
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
action
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'{
"config": {
"tableId": "<string>",
"fields": {},
"baseId": "<string>",
"loopKey": {
"fact": "<string>",
"path": "<string>",
"keyStack": [
"<string>"
],
"params": {
"pipes": []
}
},
"_fieldsOrder": [
"<string>"
]
},
"id": "<string>",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
witch node this the parent, if not provided, it is a root node
type of action
可用选项:
sendEmail, createRecord, updateRecord, httpRequest, getRecords, aiGenerate, script name of the node
description of the node
node configuration
响应
201 - application/json
Successful created
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
node id
可用选项:
action This Action will activate when a record is created in a table.
可用选项:
createRecord name of the node
description of the node
action test result
Show child attributes
Show child attributes
output variables
input variables
created time
last modified time
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

